## org.apache.lucene.search
Class Filter

    java.lang.Object
      org.apache.lucene.search.Filter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BooleanFilter, CachingWrapperFilter, ChainedFilter, DuplicateFilter, PrefixFilter, QueryWrapperFilter, RangeFilter, RemoteCachingWrapperFilter, SpanFilter, TermsFilter

    public abstract class Filter

extends Object
implements Serializable

Abstract base class providing a mechanism to restrict searches to a subset of an index.

See Also:
  Serialized Form

Constructor Summary
`Filter()`

Method Summary
`abstract BitSet` `bits(IndexReader reader)` Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### bits

    public abstract BitSet bits(IndexReader reader)
                         throws IOException

  Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.